[@bigcommerce/checkout-sdk](../README.md) / ConsignmentAssignmentBaseRequestBodyWithShippingAddress

# Interface: ConsignmentAssignmentBaseRequestBodyWithShippingAddress

## Table of contents

### Properties

- [lineItems](ConsignmentAssignmentBaseRequestBodyWithShippingAddress.md#lineitems)
- [pickupOption](ConsignmentAssignmentBaseRequestBodyWithShippingAddress.md#pickupoption)
- [shippingAddress](ConsignmentAssignmentBaseRequestBodyWithShippingAddress.md#shippingaddress)

## Properties

### lineItems

• **lineItems**: [`ConsignmentLineItem`](ConsignmentLineItem.md)[]

___

### pickupOption

• `Optional` **pickupOption**: [`ConsignmentPickupOption`](ConsignmentPickupOption.md)

___

### shippingAddress

• **shippingAddress**: [`AddressRequestBody`](AddressRequestBody.md)
